package a1MVC;

import java.awt.event.*;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.event.ListDataEvent;
import javax.swing.event.ListDataListener;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;

import java.io.*;

/**
 * This class implements controller behaviour for the application.
 * 
 * It receives requests (from the end user) and passes them to the model and/or
 * the view via method invocation
 * 
 */
public class View2Controller implements TableModelListener,
		ListSelectionListener, ListDataListener {
	private View2 view;
	private WorldRecordsDataModel model;

	/*
	 * Creates a controller for the given view and model. @param view the view
	 * of the GUI. @param model the model of the GUI.
	 */
	public View2Controller(View2 view, WorldRecordsDataModel model) {
		this.view = view;
		this.model = model;
	}

	public void tableChanged(TableModelEvent e) {
		System.out.println("tableChanged method invoked in: "
				+ this.getClass().getName());
		System.out.println("type (-1=delete, 0=update, 1=insert): "
				+ e.getType());
		System.out.println("more info about event: " + e.toString());
	}

	public void valueChanged(ListSelectionEvent e) {
		System.out.println("valueChanged method invoked in: "
				+ this.getClass().getName());
		System.out.println("Selected item: " + e.toString());
	}

	public void contentsChanged(ListDataEvent e) {
		System.out.println("contentsChanged method invoked in: "
				+ this.getClass().getName());
		System.out.println("new list: " + e.toString());
	}

	public void intervalAdded(ListDataEvent e) {
	}

	public void intervalRemoved(ListDataEvent e) {
	}
}
