package a1MVC;

import java.awt.FlowLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;

class WorldRecordGUI extends JFrame {

	WorldRecordsDataModel dataModel;

	View1 dataView1;
	View2 dataView2;

	public WorldRecordGUI(WorldRecordsDataModel dataModel) {

		this.dataModel = dataModel;

		dataView1 = new View1(dataModel);
		dataView2 = new View2(dataModel);

		View1Controller c1 = new View1Controller(dataView1, dataModel);
		View2Controller c2 = new View2Controller(dataView2, dataModel);
		dataModel.addTableModelListener(c1);
		dataModel.addTableModelListener(c2);
		dataModel.addListSelectionListener(c1);
		dataModel.addListSelectionListener(c2);
		dataModel.addListDataListener(c2);

		// put components in a panel
		JPanel mainPanel = new JPanel();
		mainPanel.setLayout(new FlowLayout(FlowLayout.CENTER, 10, 0));
		mainPanel.add(dataView1.getView());
		mainPanel.add(dataView2.getView());

		// make the panel this extended JFrame's content pane
		this.setContentPane(mainPanel);
	}
}
